Add preview background file to production

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /data/projects/{project_id}/settings/preview-background-files

Add a preview background file linked to a production.

Path parameters

  • project_id string(uuid) Required

    Project unique identifier

application/json

Body Required

  • preview_background_file_id string(uuid) Required

    Preview background file unique identifier

Responses

  • 201 application/json

    Preview background file added to production

    Hide response attributes Show response attributes object
    • id string(uuid)

      Project unique identifier

    • name string

      Project name

POST /data/projects/{project_id}/settings/preview-background-files
curl -X POST "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/settings/preview-background-files" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "preview_background_file_id": "b35b7fb5-df86-5776-b181-68564193d36"
}'
import requests

url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/settings/preview-background-files"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "preview_background_file_id": "b35b7fb5-df86-5776-b181-68564193d36"
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request POST 'http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/settings/preview-background-files' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"preview_background_file_id":"b35b7fb5-df86-5776-b181-68564193d36"}'
Request examples
{
  "preview_background_file_id": "b35b7fb5-df86-5776-b181-68564193d36"
}
Response examples (201)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "name": "My Project"
}